commit 056faf46e351fd76f5c3f28926aeb4abb725f79f
Author: jklowden <jklowden>
Date:   Tue May 6 00:14:01 2008 +0000

    applied CS_BIGINT patch from Stephen Degler

diff --git a/ChangeLog b/ChangeLog
index 0baacac..4320aec 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Mon May  5 20:11:58 EDT 2008	JK Lowden <jklowden@freetds.org>
+	* include/cstypes.h src/ctlib/ct.c
+	- applied CS_BIGINT patch from Stephen Degler
+	
 Fri May 02 12:03:47 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/log.c: fixed printf format problem
 
@@ -255,4 +259,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2512 2008/05/02 10:04:15 freddy77 Exp $
+$Id: ChangeLog,v 1.2513 2008/05/06 00:14:01 jklowden Exp $
diff --git a/include/cstypes.h b/include/cstypes.h
index aa494b1..841129c 100644
--- a/include/cstypes.h
+++ b/include/cstypes.h
@@ -30,36 +30,37 @@ extern "C"
 #endif
 #endif
 
-static const char rcsid_cstypes_h[] = "$Id: cstypes.h,v 1.6 2005/09/21 14:46:00 freddy77 Exp $";
+static const char rcsid_cstypes_h[] = "$Id: cstypes.h,v 1.7 2008/05/06 00:14:02 jklowden Exp $";
 static const void *const no_unused_cstypes_h_warn[] = { rcsid_cstypes_h, no_unused_cstypes_h_warn };
 
+typedef tds_sysdep_int32_type 		CS_INT;
+typedef unsigned tds_sysdep_int32_type 	CS_UINT;
+typedef tds_sysdep_int64_type 		CS_BIGINT;
+typedef unsigned tds_sysdep_int64_type 	CS_UBIGINT;
+typedef tds_sysdep_int16_type 		CS_SMALLINT;
+typedef unsigned tds_sysdep_int16_type 	CS_USMALLINT;
+typedef unsigned char 			CS_TINYINT;
+typedef char 				CS_CHAR;
+typedef unsigned char 			CS_BYTE;
+typedef tds_sysdep_real32_type 		CS_REAL;
+typedef tds_sysdep_real64_type 		CS_FLOAT;
+typedef tds_sysdep_int32_type 		CS_BOOL;
+typedef void 				CS_VOID;
+typedef unsigned char 			CS_IMAGE;
+typedef unsigned char 			CS_TEXT;
+typedef unsigned char 			CS_LONGBINARY;
+typedef unsigned char 			CS_LONGCHAR;
+typedef long 				CS_LONG;
+typedef unsigned char 			CS_BINARY;
+typedef unsigned tds_sysdep_int16_type 	CS_USHORT;
+typedef unsigned char 			CS_BIT;
 
-typedef tds_sysdep_int32_type CS_INT;
-typedef unsigned tds_sysdep_int32_type CS_UINT;
-typedef tds_sysdep_int16_type CS_SMALLINT;
-typedef unsigned char CS_TINYINT;
-typedef char CS_CHAR;
-typedef unsigned char CS_BYTE;
-typedef tds_sysdep_real32_type CS_REAL;
-typedef tds_sysdep_real64_type CS_FLOAT;
-typedef tds_sysdep_int32_type CS_BOOL;
-typedef void CS_VOID;
-typedef unsigned char CS_IMAGE;
-typedef unsigned char CS_TEXT;
-typedef unsigned char CS_LONGBINARY;
-typedef unsigned char CS_LONGCHAR;
-typedef long CS_LONG;
-typedef unsigned char CS_BINARY;
-typedef unsigned tds_sysdep_int16_type CS_USHORT;
-typedef unsigned char CS_BIT;
 typedef CS_INT CS_RETCODE;
 
-
-
 #define CS_MAX_NAME 132
 #define CS_MAX_SCALE 77
 #define CS_MAX_PREC 77		/* used by php */
-#define CS_MAX_NUMLEN 33		/* used by roguewave */
+#define CS_MAX_NUMLEN 33	/* used by roguewave */
 #define CS_MAX_MSG 1024
 #define CS_SQLSTATE_SIZE 8
 #define CS_OBJ_NAME 400
@@ -138,6 +139,10 @@ typedef struct _cs_money4
 	CS_INT mny4;
 } CS_MONEY4;
 
+typedef CS_INT CS_DATE;
+
+typedef CS_INT CS_TIME;
+
 typedef struct _cs_datetime
 {
 	CS_INT dtdays;
diff --git a/src/ctlib/ct.c b/src/ctlib/ct.c
index 3e4db22..7a59712 100644
--- a/src/ctlib/ct.c
+++ b/src/ctlib/ct.c
@@ -39,7 +39,7 @@
 #include "tdsstring.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: ct.c,v 1.177 2007/12/21 15:23:24 freddy77 Exp $");
+TDS_RCSID(var, "$Id: ct.c,v 1.178 2008/05/06 00:14:02 jklowden Exp $");
 
 
 static char * ct_describe_cmd_state(CS_INT state);
@@ -1898,7 +1898,7 @@ _ct_get_client_type(int datatype, int usertype, int size)
 		return CS_CHAR_TYPE;
 		break;
 	case SYBINT8:
-		return CS_LONG_TYPE;
+		return CS_BIGINT_TYPE;
 		break;
 	case SYBINT4:
 		return CS_INT_TYPE;
@@ -1912,7 +1912,7 @@ _ct_get_client_type(int datatype, int usertype, int size)
 	case SYBINTN:
 		switch (size) {
 		case 8:
-			return CS_LONG_TYPE;
+			return CS_BIGINT_TYPE;
 		case 4:
 			return CS_INT_TYPE;
 		case 2:
@@ -2015,6 +2015,7 @@ _ct_get_server_type(int datatype)
 		return SYBCHAR;
 		break;
 	case CS_LONG_TYPE:
+	case CS_BIGINT_TYPE:
 		return SYBINT8;
 		break;
 	case CS_INT_TYPE:

